OpenEdge 10.2b - Consumir Web Services - Forum - PUG Spanish CALA - Progress Community

OpenEdge 10.2b - Consumir Web Services

 Forum

OpenEdge 10.2b - Consumir Web Services

  • Hola, estoy tratando de consumir una web service con SOAP en OpenEdge 10.2b, pero me da el siguiente error:

    Error message: 9318

    Error message: 9407

    Error loading WSDL document  https://....../SoapApi/web/ServiceUpdatecustomer.svc?wsdl :

    Fatal Error: connect operation failed (WinSock reported error=0)

      location: https://....../SoapApi/web/ServiceUpdatecustomer.svc?wsdl (11748)

    Les agradezco cualquier ayuda con esto.

    Muchas gracias 

  • Buen día, por lo que puedo ver se trata de una dirección https, y probablemente sea ese el problema.

    Tenés que acceder a la dirección con un navegador, y descargar el certificado de ese servidor (dependiendo el navegador que uses es cómo se hace, pero en la mayoría alcanza con apretar sobre el símbolo del candado, en la misma URL). La mayoría de los navegadores te ofrecen varios formatos para descargar: prueba y error.

    Una vez que tengas el ceritifcado tenés que agregarlo al depósito de certificados de Progress, lo cual hacés con la herramienta certutil incluida con Progress.

    Hecho lo anterior "deberías" poder conectarte. Si sigue fallando, entonces es un problema del protocolo utilizado por esa versión de Progress y los que espera el servidor.

    En este caso lo mejor es utilizar la herramienta de línea de comando que te permite iniciar una conexión segura con un servidor y te muestra la información de protocolos aceptados y métodos de encriptación utilizados (no recuerdo cómo se llama esta herramienta, pero openssl también lo permite).

    Una vez que sepas qué se puede utilizar con ese servidor, podés forzar esos protocolos/métodos de encriptación, en la conexión que hace Progress (consultá la ayuda de CONNECT).

    Dado que 10.2b ya está ancianito, es posible que si trabajás contra un Apache 2.2+ no puedas conectarte, salvo que el servidor esté configurado "inseguro". No recuerdo exactamente, pero tengo mis dudas respecto de que 10.2b soporte TLS.

    Suerte.

    David.